
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android根据电话号码获得联系人头像实例代码_Android / iVAN</title>

    <meta name="description" content="Android根据电话号码获得联系人头像实例代码_Android 在日常Android手机的使用过程中,根据电话号码获得联系人头像,是经常会碰到的问题.本文即以实例形式讲述了Android根据电话号码获得联系人头像是实现代码.分享给大家供大家参考之用.具体方法如下: 首先,通过ContentProvider,可以访问Android中的联系人等数据.常用的Uri有: 联系人信息Uri:content://com.android.contacts/contacts 联系人电话Uri:content://com.android.contacts/data/phone">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android根据电话号码获得联系人头像实例代码_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在日常Android手机的使用过程中，根据电话号码获得联系人头像，是经常会碰到的问题。本文即以实例形式讲述了Android根据电话号码获得联系人头像是实现代码。分享给大家供大家参考之用。具体方法如下：</p>
<p>首先，通过ContentProvider，可以访问Android中的联系人等数据。常用的Uri有：</p>
<p>联系人信息Uri：content://com.android.contacts/contacts<br />
联系人电话Uri：content://com.android.contacts/data/phones<br />
联系人邮件Uri：content://com.android.contacts/data/emails</p>
<p>并且提供了根据电话号码获取data表数据的功能，方法为：data/phones/filter/号码，返回一个数据集。再通过数据集获得该联系人的contact_id，根据contact_id打开头像图片的InputStream，最后用BitmapFactory.decodeStream()获得联系人的头像。</p>
<p>具体功能代码如下：</p>
<pre>
// 根据号码获得联系人头像
public static void get_people_image(String x_number){  

  // 获得Uri
  Uri uriNumber2Contacts = Uri.parse("content://com.android.contacts/"
      + "data/phones/filter/" + x_number);
  // 查询Uri，返回数据集
  Cursor cursorCantacts = context.getContentResolver().query(
      uriNumber2Contacts,
      null,
      null,
      null,
      null);
  // 如果该联系人存在
  if (cursorCantacts.getCount() &gt; 0) {
    // 移动到第一条数据
    　　　　　　cursorCantacts.moveToFirst();
    　　　　　　// 获得该联系人的contact_id
    　　　　　　 Long contactID = cursorCantacts.getLong(cursorCantacts.getColumnIndex("contact_id"));
    　　　　　　// 获得contact_id的Uri
    　　　　　　 Uri uri = ContentUris.withAppendedId(ContactsContract.Contacts.CONTENT_URI, contactID);
    　　　　　　// 打开头像图片的InputStream
    　　　　　　InputStream input = ContactsContract.Contacts.openContactPhotoInputStream(context.getContentResolver(), uri);
    　　　　　　// 从InputStream获得bitmap
    　　　　　　bmp_head = BitmapFactory.decodeStream(input);
}&lt;br&gt;}
</pre>
<p>希望本文所述对大家的Android程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                联系人<br />
                    ，                头像<br />
                    ，                获得<br />
                    ，                电话号码<br />
                                    根据<br />
                                    android 联系人头像、android获得联系人、联系人头像、联系人头像包、手机联系人头像，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 21:33:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%a0%b9%e6%8d%ae/" title="根据">根据</a>, <a href="https://www.iamivan.net/tag/%e5%a4%b4%e5%83%8f/" title="头像">头像</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e7%94%b5%e8%af%9d%e5%8f%b7%e7%a0%81/" title="电话号码">电话号码</a>, <a href="https://www.iamivan.net/tag/%e8%81%94%e7%b3%bb%e4%ba%ba/" title="联系人">联系人</a>, <a href="https://www.iamivan.net/tag/%e8%8e%b7%e5%be%97/" title="获得">获得</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android根据电话号码获得联系人头像实例代码_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba488qz.html" rel="bookmark">Android根据电话号码获得联系人头像实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在日常Android手机的使用过程中,根据电话号码获得联系人头像,是经常会碰到的问题.本文即以实例形式讲述了Android根据电话号码获得联系人头像是实现代码.分享给大家供大家参考之用.具体方法如下: 首先,通过ContentProvider,可以访问Android中的联系人等数据.常用的Uri有: 联系人信息Uri:content://com.android.contacts/contacts 联系人电话Uri:content://com.android.contacts/data/phone			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWJYkz.html" rel="bookmark">Android 百度地图POI搜索功能实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在没介绍正文之前先给大家说下poi是什么意思. 由于工作的关系,经常在文件中会看到POI这三个字母的缩写,但是一直对POI的概念和含义没有很详细的去研究其背后代表的意思.今天下班之前,又看到了POI这三个字母,决定认认真真的搜索一些POI具体的含义. POI是英文的缩写,原来的单词是point of interest, 直译成中文就是兴趣点的意思.兴趣点这个词最早来自于导航地图厂商.地图厂商为了提供尽可能多的位置信息,花费了很大的精力去寻找诸如加油站,餐馆,酒店,景点等目的地,这些目的地其实都可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrmPep.html" rel="bookmark">Android实现图片轮播切换实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用Android的ViewFlipper和AnimationUtils实现图片带有动画的轮播切换,其中当点击&quot;上一张&quot;图片时,切换到上一张图片:当点击&quot;下一张&quot;图片时,切换到下一张图片.其效果图如下: 设置布局文件,其内容如下: activity_image_flipper_shade.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;RelativeLayout xm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgE0xZz.html" rel="bookmark">Android自定义水波纹动画Layout实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				话不多说,我们先来看看效果: Hi前辈搜索预览 这一张是&lt;Hi前辈&gt;的搜索预览图,你可以在这里下载这个APP查看更多效果: http://www.wandoujia.com/apps/com.superlity.hiqianbei LSearchView 这是一个MD风格的搜索框,集成了ripple动画以及search时的loading,使用很简单,如果你也需要这样的搜索控件不妨来试试:https://github.com/onlynight/LSearchView RippleEverywh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8PoOb.html" rel="bookmark">Android AutoCompleteTextView自动提示文本框实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 自动提示文本框(AutoCompleteTextView)可以加强用户体验,缩短用户的输入时间(百度的搜索框就是这个效果). 先给大家展示下效果图,如果大家感觉还不错,请参考实现代码:   最后一张获取文本框里面的值(其实就跟TextView.EditText一样): 首先,在xml中定义AutoCompleteTextView控件: activity_main.xml: &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/ap			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY9K6b.html" rel="bookmark">Android实现沉浸式导航栏实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,直接给大家贴代码了,具体代码如下所示: private SystemBarTintManager tintManager; @Override protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); setContentView(R.layout.activity_main); // getWindow().addFlags(WindowManager.Layo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKvGkM.html" rel="bookmark">Android 文件选择器详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     本文给大家讲解下Android文件选择器的使用.实际上就是获取用户在SD卡中选择的文件或文件夹的路径,这很像C#中的OpenFileDialog控件.        此实例的实现过程很简单,这样可以让大家快速的熟悉Android文件选择器,提高开发效率.        网上曾经见到过一个关于文件选择器的实例,很多人都看过,本实例是根据它修改而成的,但更容易理解,效率也更高,另外,本实例有自己的特点:        1.监听了用户按下Back键的事件,使其返回上一层目录.       			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Q8g4M.html" rel="bookmark">Android Socket接口实现即时通讯实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Socket接口实现即时通讯              最近学习Android 通信的知识,做一个小实例,巩固下学习内容,以下内容是网上找的资料,觉得很不错,知识比较全面,大家看下.  首先了解一下即时通信的概念.通过消息通道 传输消息对象,一个账号发往另外一账号,只要账号在线,可以即时获取到消息,这就是最简单的即使通讯.消息通道可由TCP/IP UDP实现.通俗讲就是把一个人要发送给另外一个人的消息对象(文字,音视频,文件)通过消息通道(C/S实时通信)进行传输的服务.即时通讯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Qx2Ap.html" rel="bookmark">Android使用ImageView 制作透明圆弧实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这几天因为项目需求,需要在ImageView上面叠加一层透明圆弧,并且在沿着圆弧的方向显示相应的文字,效果如下图所示: 拿到这个需求,首先想到的是自定义一个ImageView来实现此功能,即在onDraw()中绘制圆弧和文字.同时因为要保证圆弧的位置可以任意摆放,圆弧的颜色.透明度以及文字大小.颜色等都是可控的,所以增加了一些自定义属性.实现代码非常简单,如下: 1.自定义ImageView: package com.chunk.customviewsdemo.views.ArcImageVie			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9YL4M.html" rel="bookmark" class="title">Ping命令的幕后过程及其返回信息的分析</a>
					<div>
						&quot;Ping&quot;命令是我们在判断网络故障常用的命令,但您真正明白这个命令运行后会发生什么,以及出现的各种信息说明了什么吗?本人将平时工作中积累的经验介绍给大家. &quot;Ping& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBWYAM.html" rel="bookmark" class="title">Flash绘画技巧：画脸的方法和肤色配法</a>
					<div>
						技巧 1.色块式画法.  虽然说最易入手,但要用两三种颜色分出立体感和质感则也是要下一段苦功? 首先画线槁圖(这线槁是直接在painter打的稿) 2.先打上一层亮面基本色   (理论上是必须先在上面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRWDVz.html" rel="bookmark" class="title">选择Java还是C&plus;&plus;</a>
					<div>
						Java特别象C++:由此很自然地会得出一个结论:C++似乎会被Java取代.但我对这个逻辑存有一些疑问.无论如何,C++仍有一些特性是Java没有的.而且尽管已有大量保证,声称Java有一天会达到或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPwLGM.html" rel="bookmark" class="title">ASP&period;net控件开发系列之一 开篇</a>
					<div>
						早段时间,同事之间很流行打CS,所以那段时间的问候变成了&quot;今天你杀XX了吗?&quot; 控件开发也许是程序员最能发掘自己创造力的一件事情吧?控件开发不仅要求你对当前的开发有一个较全面和略深 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElL6oz.html" rel="bookmark" class="title">Java中的Timer和TimerTask在Android中的用法</a>
					<div>
						在开发中我们有时会有这样的需求,即在固定的每隔一段时间执行某一个任务.比如UI上的控件需要随着时间改变,我们可以使用Java为我们提供的计时器的工具类,即Timer和TimerTask. Timer是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK71gnb.html" rel="bookmark" class="title">Photoshop调出外景婚片甜美的粉褐色</a>
					<div>
						调出外景婚片甜美的粉褐色 原图素材色彩构成比较少,天空蓝色比例较大.处理的时候只需改变天空的颜色就可以改变整体颜色.主色确定后,局部可以按照自己的喜欢渲染颜色即可. 原图 &lt;点小图查看大图&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl5yAz.html" rel="bookmark" class="title">CPU的保養小秘方</a>
					<div>
						    CPU作为电脑的心脏,它从电脑启动到关闭都不停地运作,对它的保养显得尤为重要,以利电脑勤快工作.     1.散热至上.CPU的工作伴随着热量的产生,散热工夫不可少,CPU的正9ぷ魑露任?5- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2Jakb.html" rel="bookmark" class="title">阶梯流程图在PowerPoint2013中如何制作？</a>
					<div>
						  画流程图是在职人员的必备技能,如何画好流程图?如何制作专业流程图?本案例将以阶梯流程图为实例,阐述流程图制作的技巧秘籍. ①启动PowerPoint2013,单击菜单栏--插入--形状,选择方角矩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Yr6b.html" rel="bookmark" class="title">远程桌面连接传输文件图文教程</a>
					<div>
						win7和win8中链接远程桌面相信大家都会用,但是你知道如何在用远程桌面与本地磁盘进行文件传输吗? 其实很简单,win7中:启动远程桌面: 开始-程序-附件-远程桌面连接 win8中:win+X 选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42lP8M.html" rel="bookmark" class="title">阿里云数据风控全新启航</a>
					<div>
						阿里云数据风控全新启航   2016年8月1日,阿里云云盾下反欺诈服务正式更名为数据风控,新的名称,新的思考,新的征程. 随着互联网企业的蓬勃发展,除了老牌的电商,其他各种行业也开始不断互联网化:金融 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7J77M.html" rel="bookmark" class="title">commit message带引号，clang 编译出错</a>
					<div>
						问题描述 commit message带引号,clang 编译出错 使用git commit becf7bfd4d8b3d8858d0b94f779d1b690248c11a Author: tug  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq86YKb.html" rel="bookmark" class="title">ebs系统架构简介6&mdash;&mdash;应用管理工具总结</a>
					<div>
						Oracle 开发了 Oracle Applications Technology Layer. Products in the Oracle E-Business Suite technology  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwwDjM.html" rel="bookmark" class="title">vc&plus;&plus;编程问题-vc&plus;&plus;6&period;0 运行出现dedug assertion failed</a>
					<div>
						问题描述 vc++6.0 运行出现dedug assertion failed File:viewform.cpp Line:69 这要怎么解决? 解决方案 这是代码中主动抛出的异常,一般来说,表示你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo7qjb.html" rel="bookmark" class="title">事务-jsp过滤器异常捕获不到的问题</a>
					<div>
						问题描述 jsp过滤器异常捕获不到的问题 项目采用struts2,java原生sql ,在action中定义如下方法: //添加客户 public String addGuest() throws E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrlgWM.html" rel="bookmark" class="title">腾讯如何布局本地化在线生活服务</a>
					<div>
						近日,腾讯QQ团购(tuan.qq.com)上海站正式启动,这也是继7月9日首发站深圳.7月28日重庆站和8月25日成都站之后,QQ团购开通服务的第四个城市.QQ团购负责人表示,QQ团购的目的是通过为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK44nb.html" rel="bookmark" class="title">UWP -- Background Task 深入解析</a>
					<div>
						原文:UWP -- Background Task 深入解析 1. 重点 锁屏问题 从 Windows 10 开始,用户无须再将你的应用添加到锁屏界面,即可利用后台任务,通用 Windows 应用必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgXgKM.html" rel="bookmark" class="title">位置-c语言转移字符的问题？</a>
					<div>
						问题描述 c语言转移字符的问题? 运行环境:VS2013 问题 是一个网站上的讲c语言的转移字符 链接:http://blog.163.com/sunshine_linting/blog/static ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBejmM.html" rel="bookmark" class="title">yarn配置的fair调度器&comma;监控页面的Fair Share问题</a>
					<div>
						问题描述 yarn配置的fair调度器,监控页面的Fair Share问题 arn配置的fair调度器,监控页面的Fair Share是怎么算出来的,或者是有什么默认参数造成的吗? 监控界面 (htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22e54b.html" rel="bookmark" class="title">Java二进制Class文件格式解析</a>
					<div>
						一.Java Class文件是什么 &lt;The JavaTM Virtual Machine Specification&gt;(Second Edtion)中有表述:Java Class文件由8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye775M.html" rel="bookmark" class="title">基于Spark 的抄袭检测云计算框架研究</a>
					<div>
						基于Spark 的抄袭检测云计算框架研究 于海浩 抄袭检测从根本上说是一个文本相似度的计算问题,需要迅速准确的在海量文集中对文本的原创性进行检测,耗费大量时间和资源,是计算密集和数据密集的复杂过程.采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x6Pgb.html" rel="bookmark" class="title">SSH整合后Struts2上传功能失效</a>
					<div>
						问题描述 具体原因是Action中接不到值,但是将上传功能单独拿出来运行成功(不信自己拷贝代码来试),因此排除代码问题,整个项目的其他功能正常运行,在就是控制台没有报错信息,求教高手 问题出在哪里?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmr6Vp.html" rel="bookmark" class="title">jQuery获取多种input值的简单实现方法&lowbar;jquery</a>
					<div>
						获取input的checked值是否为true: 第一种: if($(&quot;input[name=item][value='val']&quot;).attr('checked')==true) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW52Kz.html" rel="bookmark" class="title">Ubuntu Server 11&period;10安装配置lamp&lpar;Apache&plus;MySQL&plus;PHP&rpar;&lowbar;Linux</a>
					<div>
						准备篇: 1.配置防火墙,开启80端口.3306端口 说明:Ubuntu默认安装是没有开启任何防火墙的,为了服务器的安全,建议大家安装启用防火墙设置,这里推荐使用iptables防火墙. wherei ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8d2Wb.html" rel="bookmark" class="title">jsp中如何实现按下回车键自动提交表单&lowbar;JSP编程</a>
					<div>
						为了省事很多时候希望可以按回车键来提交表单,要控制这些行为,可以借助JS来达到要求. 代码如下: &lt;%@ page language=&quot;java&quot; contentType=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlekDp.html" rel="bookmark" class="title">用 PHP 实现 POP3 邮件的解码（1）</a>
					<div>
						初步认识邮件的源文件 本文简要说明了通过POP3协议收取邮件.MIME邮件的解码的原理:针对收取和MIME解码,提供了两个实用的PHP类,并提供了使用的样例.分为邮件收取.MIME解码两个部分.我们已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYV4Nb.html" rel="bookmark" class="title">java记事本</a>
					<div>
						问题描述 大神指教,最近用java写记事本,怎么实现右键功能呢? 解决方案 本帖最后由 qitiandasheng987123 于 2015-01-05 22:04:39 编辑解决方案二:监听mous ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GGAZM.html" rel="bookmark" class="title">一篇&OpenCurlyDoubleQuote;寻找厨房PM2&period;5终结者&rdquo;的话题</a>
					<div>
						去年11月份,网友&quot;鸿荣源加&quot;在微博上发布了一篇&quot;寻找厨房PM2.5终结者&quot;的话题,对厨房PM2.5严重超标以及油烟机一成不变的外观设计进行了一番吐槽.如今,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWxv5z.html" rel="bookmark" class="title">用代码写一个树的图形怎么写？</a>
					<div>
						问题描述 for循环能用吗? 解决方案 public static void main(String[] args) {TestClass tc = new TestClass();System.ou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3EDYWp.html" rel="bookmark" class="title">求回答，急！</a>
					<div>
						问题描述 从哪里可以查到IBM,微软,联想等公司的网络拓扑结构?? 解决方案 解决方案二:....给点分会咋的解决方案三:哈哈.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boO5xEb.html" rel="bookmark" class="title">运行一个Shell的脚本将Ubuntu变身成为Windows 7</a>
					<div>
						之前 OwnLinux 有介绍将http://www.aliyun.com/zixun/aggregation/13835.html&quot;&gt;Ubuntu Hardy 打造成 Mac OSX ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
